/**
 * Logger for run.
 * @memberof module:apeman-task
 * @constructor RunLogger
 * @returns A logger instance.
 */

"use strict";

var colorprint = require('colorprint');

/** @lends RunLogger */
module.exports = colorprint.define(
    /** @lends RunLogger.prototype */
    {
        logTaskStarted: function (name, task) {
            var s = this;
            s.info('Task "%s" started...', name);
        },
        logTaskFinished: function (took) {
            var s = this;
            s.info('...done! (%dms)', took);
        },
        logTaskFailed: function (err) {
            var s = this;
            console.error(err);
            console.trace();
        }
    }
);
