/**
 * Test case for runTask.
 * Runs with nodeunit.
 */

var runTask = require('../lib/tasking/run_task.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['Do run with invalid file.'] = function (test) {
    runTask({
        find: function (name, callback) {
            callback = arguments[arguments.length - 1];
            callback(new Error('not found.'));
        }
    }, 'foo', function (err) {
        test.ok(!!err);
        test.done();
    });
};

exports['Do run.'] = function (test) {
    runTask({
        find: function (name, callback) {
            callback = arguments[arguments.length - 1];
            callback(null, function task(context, callback) {
                callback(null);
            });
        }
    }, 'foo', function (err) {
        test.ifError(err);
        test.done();
    });
};


exports['Do run nested task.'] = function (test) {
    runTask.nestedTask({
        find: function (name, callback) {
            callback = arguments[arguments.length - 1];
            callback(null, function task(context, callback) {
                callback(null, {
                    fooTask: 'bar'
                });
            });
        }
    }, 'foo', function (err) {
        test.ifError(err);
        test.done();
    });
};

